@import "sceditor.min.css";

ol {
    list-style: decimal !important;
}

.verticalBottom {
    vertical-align: bottom;
}

#forums h3 {
    font-weight: bold;
    margin: 0px;
    padding: 0px;
}

#forums span.forum-desc {
    color: #666;
}

#forumToolsHead {
    border-bottom: 1px solid #d9d9d9;
    margin-bottom: 10px;
}

#forumToolsHead a {
    margin-top: 8px;
}

#postText, #threadTitle, #threadTags, .bugForumInput {
    /*font-family: Arial, Helvetica, sans-serif;*/
    /*font-size: 90%;*/
    padding: 5px;
    border: 1px solid #999;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
}

#postText:focus, #threadTitle:focus, #threadTags:focus, .bugForumInput:focus {
    border-color: #000;
}

.bugForumInput {
    resize: none;
}

.post-wrap {
    background: #fff;
    margin-bottom: 10px;
    border-radius: 8px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-bottom: 2px solid #ccc;
}

.post-wrap-admin {
    border: 1px solid #ccc;
    border-bottom-width: 2px;
}

.post-head {
    margin: 0px;
    margin-bottom: 5px;
    padding: 5px;
    color: #666;
    font-size: 12pt;
    background: #f2f2f2;
    border-radius: 8px 8px 0px 0px;
}

.post-head img {
    border-radius: 5px;
}

.post-icon {
    vertical-align: text-top;
}

.post-user {
    float: left;
    width: 110px;
    padding: 5px;
}

.post-text {
    padding: 10px 20px;
    overflow-wrap: break-word;
    word-wrap: break-word;
    /*font-family: Arial;*/
}

.post-text strong {
    font-weight: bold;
}

.post-text img.pic {
    max-width: 100%;
    display: block;
}

.post-text img {
    display: inline;
    vertical-align: top;
    max-width: 100%;
}

.post-text embed {
    max-width: 100%;
    display: block;
}

.post-text iframe {
    max-width: 100%;
}

.post-text em {
    font-style: italic;
}

.post-text code {
    display: block;
    background: #2b2b2b;
    color: #e6e6e6;
    padding: 2px;
    border-radius: 6px;
    font-family: "Courier New", Courier, monospace;
    font-size: 90%;
    white-space: pre-wrap;
    word-break: break-word;
    line-height: 1.2;
}

.post-options {
    float: right;
    display: inline-block;
    border-radius: 5px;
    background: rgba(0, 0, 0, 0.1);
    padding: 5px;
    margin: 5px;
}

.post-author {
    font-weight: bold;
}

.forum-pager {
    float: none;
    clear: both;
    width: 100%;
    margin-top: 8px;
    text-align: center;
}

.forum-pager .pager-wrap {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 4px;
    line-height: initial;
}

.forum-pager .pager-wrap > span {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 8px;
}

.forum-breadcrumb {
    float: left;
    text-align: left;
}

.user-title {
    display: inline-block;
    text-align: center;
    font-weight: bold;
    font-size: 70%;
    color: #000;
    padding: 4px 8px;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
}

.thread-options {
    float: left;
    padding: 5px 0px 10px 0px;
}

.forum-options {
    float: left;
    clear: both;
    width: 100%;
    padding: 20px 0px 10px 0px;
}

.forumActionButtons {
    display: flex;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}

.forumActionButtons .showMultiThread {
    display: inline-flex;
    align-items: center;
    gap: 6px;
}

.showMultiThreadbody {
    display: flex;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
    margin-top: 10px;
}

.showMultiThreadbody p {
    margin: 0;
}

.post-options a, .post-options a:visited, .post-options a:active {
    color: #000;
    opacity: 0.3;
    margin: 0px 5px;
}

.post-options a:hover {
    color: #000;
    opacity: 1;
    text-decoration: none;
}

.forum-new {
    float: left;
    margin: 2px 8px 0px 0px;
}

div.parent {
    margin-top: 15px;
    clear: both;
}

.t-opt {
    float: right;
    margin-left: 10px;
}

/* BBBadword */
.post-text ul, .post-text ol {
    margin-top: 0px;
}

div.bb-quote-author {
    margin: 5px;
    background: url(../content/misc/comment/quote.gif) no-repeat;
    padding-left: 25px;
    font-weight: bold;
}

div.bb-quote {
    font-size: 12px;
    border-left: 2px solid #666;
    border-bottom: 1px dashed #ccc;
    padding: 4px;
    font-style: italic;
    clear: both;
    color: #444;
    background: #f2f2f2;
}

.postByMod {
    background-color: #d5e5e5;
}

.postByMod .user-title {
    background: #a6b3b3;
}

.postByMod .post-head {
    background: #cad9d9 !important;
}

.postByMod .bb-quote {
    background: #cad9d9;
}

.postByAdmin {
    background-color: #d6e5d3;
}

.postByAdmin .user-title {
    background: #b2bfb0;
}

.postByAdmin .post-head {
    background: #beccbc;
}

.postByAdmin .bb-quote {
    background: #cad9c7;
}

.normalPost {
    background-color: #fff !important;
}

.normalPost .post-head {
    background: #f2f2f2 !important;
}

.normalPost .user-title {
    display: none !important;
}

.normalPost .modNormalPost {
    color: #689954 !important;
    opacity: 1 !important;
}

.normalPost .bb-quote {
    background: #f2f2f2;
}

.threadBestAns {
    border: 1px solid #689954;
    border-radius: 8px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    margin-bottom: 40px;
}

.threadBestAns .post-wrap {
    margin-bottom: 0;
}

.bestAnsHeading h3 {
    color: #689954;
    margin: 0;
    font-weight: bold;
}

.postVotingGroup {
    /*margin-right: 20px;*/
    display: inline-block;
    font-size: 12px;
}

.postVotingGroup a.like {
    color: #689954;
    opacity: 1;
}

.postVotingGroup a.dislike {
    color: #d66e67;
    opacity: 1;
}

.postVotingGroup span {
    display: inline-block;
    vertical-align: middle;
}

/*
*   labels Layout
*/
.forumLabelParent {
    display: inline-block;
    position: relative;
    font-size: 70%;
}

.forumLabelParent .forumLabel {
    display: inline-block;
    text-align: center;
    padding: 0 5px;
    color: #fff;
    cursor: pointer;
    border-radius: 5px;
}

.forumLabelParent ul {
    display: none;
    width: 100%;
    margin: 0;
    position: absolute;
    left: 0;
    right: 0;
    top: 90%;
    min-width: 90px;
    padding: 3px 0;
    z-index: 10;
}

.forumLabelParent ul li {
    list-style: none;
    padding: 3px;
    margin: 0px 0;
    border-radius: 5px;
}

.forumLabelParent ul li a {
    color: #fff;
    text-align: center;
    width: 100%;
    display: inline-block;
}

.forumLabelParent:hover ul {
    display: inline-block;
}

#page-title .forumLabelParent {
    font-size: initial;
}

#page-title .forumLabelParent .forumLabel {
    padding: 5px 5px !important;
    border-radius: 2px;
    line-height: initial;
}

#page-title .forumLabelParent ul {
    min-width: 140px;
}

#page-title .forumLabelParent ul li {
    padding: 0px;
}

#page-title .forumLabelParent ul li a:hover {
    text-decoration: underline;
    border: none;
}

/* Green color */
.forumLabel-green,
.forumLabelList-green {
    background: #689954;
}

/* Red color */
.forumLabel-red,
.forumLabelList-red {
    background: #DA6373;
}

/* Grey */
.forumLabel-grey,
.forumLabelList-grey {
    background: #A9A9A9;
}

/* Orange */
.forumLabel-orange,
.forumLabelList-orange {
    background: #FF7E47;
}

/* IGP Green */
.forumLabel-igpGreen,
.forumLabelList-igpGreen {
    background: #7ab542;
}

/* yellow */
.forumLabel-yellow,
.forumLabelList-yellow {
    background: #F7CA18;
}

/* Blue */
.forumLabel-blue,
.forumLabelList-blue {
    background: #00abfd;
}

/* Lite Blue */
.forumLabel-liteBlue,
.forumLabelList-liteBlue {
    background: #5ca7f2;
}

/* Mobile - All */
@media only screen and (max-width: 340px) {
    .post-options {
        padding: 5px;
        margin: 2px;
    }

    .post-options a, .post-options a:visited, .post-options a:active {
        margin: 0px 4px;
    }
}

.inactivityNotice,
.userBanNotice {
    display: flex;
    align-items: center;
    background: #FFF8C4;
    padding: 15px;
    border-radius: 5px;
    border: 2px solid #DDCB9B;
}

.userBanNotice {
    background: #ffcccc;
    border-color: #dd7777;
}

.inactivityNotice .noticeText,
.userBanNotice .noticeText {
    display: inline-block;
    width: 95%;
    padding-left: 10px;
    padding-top: 2px;
}

.inactivityNotice > a {
    display: inline-block;
    padding: 0 5px;
}

.inactivityNotice.threadSolved {
    border-color: #689954;
    background: #b6e2a3;
}

.inactivityNotice.threadSolved span {
    color: #689954;
}

/* Forum Toolbar Style */
.forumUpperTools {
    display: block;
    background: rgba(0, 0, 0, 0.1);
    padding: 0;
    width: 100%;
    position: relative;
    top: 0;
    box-sizing: border-box;
}

#forumToolsHead .forumUpperActions {
    margin-bottom: 10px;
}

.forumUpperTools > a {
    color: #000 !important;
    padding: 5px 8px;
    display: inline-block;
    position: relative;
}

.forumUpperTools > a:hover {
    text-decoration: none;
    opacity: 0.3;
}

.forumUpperTools > a.active {
    background: #689954;
    color: #fff !important;
}

.forumUpperTools > a.active:hover {
    opacity: 1;
}

.forumUpperTools > a > span {
    position: absolute;
    background: #cc3333;
    color: #fff;
    font-size: 18px;
    border-radius: 5px;
    right: -4px;
    top: 3px;
    min-width: 20px;
    height: 20px;
    text-align: center;
    line-height: 20px;
}

.forumUpperTools .forumUnReadPosts,
.forumUpperTools .forumUserProfile {
    display: none;
    position: absolute;
    left: 0;
    width: 100%;
    background: #fff;
    max-width: 375px;
    text-align: left;
    margin: 0;
    z-index: 1;
}

.forumUpperTools .forumUnReadPosts > h3,
.forumUpperTools .forumUserProfile > h3 {
    background: #689954;
    color: #fff;
    margin: 0;
    padding: 7px 0;
    text-align: center;
}

.forumUpperTools .forumUnReadPosts .forumNotificationStyle {
    font-size: 20px;
    cursor: pointer;
    float: left;
    margin-left: 10px;
    color: #fff;
}

.forumUpperTools .forumUnReadPosts .forumNotificationStyle:hover {
    border: none;
}

.forumUpperTools .forumUserProfile ul,
.forumUpperTools .forumUnReadPosts ul {
    padding: 5px 0 0;
    margin: 0;
    display: inline-block;
    width: 100%;
}

.forumUpperTools .forumUnReadPosts ul {
    overflow-y: auto;
    max-height: 330px;
}

.forumUpperTools .forumUserProfile li,
.forumUpperTools .forumUnReadPosts li {
    list-style: none;
    border-bottom: 2px solid #ccc;
}

.forumUpperTools .forumUserProfile li {
    display: inline-block;
    width: 96%;
    padding: 5px 2%;
}

.forumUpperTools .forumUnReadPosts li a {
    display: block;
    padding: 0 10px;
}

.forumUpperTools .forumUnReadPosts li.forumWarning {
    padding: 0 10px
}

.forumUpperTools .forumUnReadPosts li.forumWarning a {
    display: inline-block;
    padding: 0;
}

.forumUpperTools .forumUnReadPosts li .notificationText {
    color: #333;
}

.forumUpperTools .forumUnReadPosts li .notificationText strong {
    font-size: 16px !important;
}

.forumUpperTools .forumUnReadPosts li .notificationText .bb-quote-author,
.forumUpperTools .forumUnReadPosts li .notificationText .bb-quote {
    display: none;
}

.forumUpperTools .forumUnReadPosts li .notificationText .text-center {
    display: inline-block;
    text-align: left;
}

.forumUpperTools .forumUnReadPosts li .notificationText img {
    display: none;
}

.forumUpperTools .forumUnReadPosts li.unreadPost {
    background: #f2eded;
}

.forumUpperTools .forumUnReadPosts li.unreadPost:hover {
    background: #edd7d7;
}

.forumUpperTools .forumUserProfile li:last-child,
.forumUpperTools .forumUnReadPosts li:last-child {
    border: none;
}

.forumUpperTools .forumUnReadPosts li:hover a {
    text-decoration: none;
}

.forumUpperTools .forumUnReadPosts li h3 {
    text-align: center;
    margin: 0;
    padding: 8px 0;
}

.forumUpperTools .forumUnReadPosts li p {
    padding: 0;
    color: #333;
}

.forumUpperTools .clearBtnLi {
    padding: 0px 5px;
}

.dropShadow {
    box-shadow: 0px 15px 15px 0px rgba(0, 0, 0, 0.40);
}

.warningDetails {
    height: 50px;
    display: table;
}

.warningDetails > div {
    vertical-align: middle;
    display: table-cell;
}

.full-width {
    display: inline-block;
    width: 100%;
}

.position-rel {
    position: relative;
}

.threadDelBtn,
.threadPinBtn {
    position: absolute;
    right: 10px;
    top: 5px;
    z-index: 10;
}

.threadPinBtn {
    right: 35px;
}

.forumIcons {
    padding-right: 1%;
    float: left;
}

.nowrap {
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 2px 0;
}

.nowrap a {
    display: inline;
    white-space: nowrap;
}

a.muteThread, a.unmuteThread {
    color: #fff;
}

.forumUnReadPosts .nowrap {
    padding: 0;
    white-space: nowrap;
}

a.supportReview {
    color: #d66e67 !important;
    opacity: 1 !important;
}

span.supportReview {
    color: #477337;
}

.threadCheckbox {
    display: inline-block;
    margin-right: 10px;
    float: left;
}

.threadCheckbox input[type="checkbox"] {
    display: none;
}

.threadCheckbox input[type="checkbox"] + label span {
    width: 20px;
    height: 20px;
    background-size: 80px 20px;
}

.threadCheckbox input[type="checkbox"]:checked + label span {
    background-position: -20px top;
}

.threadCheckbox input[type="checkbox"] + label span {
    display: inline-block;
    width: 20px;
    height: 20px;
    vertical-align: middle;
    background: url(icon/checkbox.png) left top no-repeat;
    background-size: 85px 20px;
}

.threadCheckbox input[type="checkbox"]:checked + label span {
    background-position: -22px top;
}

/* For Mobile */
@media only screen and (max-width: 768px) {
    .forumActionButtons,
    .showMultiThreadbody {
        align-items: stretch;
    }

    .forumActionButtons .showMultiThread,
    .showMultiThreadbody select,
    .showMultiThreadbody .multiThreadMove {
        width: 100%;
    }

    .forumUpperTools > a {
        line-height: 1;
        vertical-align: middle;
    }

    .forumUpperTools .forumUserProfile,
    .forumUpperTools .forumUnReadPosts {
        max-width: 414px;
    }
}

@media only screen and (max-width: 724px) {
    .modToolsbar.thread-options {
        width: 100%;
    }

    .modToolsbar.thread-options > a {
        padding: 7px 16px !important;
        margin: 0 1.5px;
    }

    .modToolsbar.forum-pager {
        width: 100%;
        float: none;
        clear: both;
        text-align: center;
    }

    .modToolsbar.forum-pager .pager-wrap {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: 4px;
        line-height: initial;
    }

    .modToolsbar.forum-pager a.pager {
        display: inline-block;
        min-width: 19px;
        padding: 8px;
        font-size: 14px;
        line-height: initial;
    }

    .modToolsbar.forum-pager a.pager-prev,
    .modToolsbar.forum-pager a.pager-next,
    .modToolsbar.forum-pager a.pager-first,
    .modToolsbar.forum-pager a.pager-last {
        display: inline-block;
        padding: 8px;
        line-height: initial;
    }

    .modToolsbar.forum-pager a.pager-prev, .modToolsbar.forum-pager a.pager-next {
        margin: 0;
    }
}

@media only screen and (max-width: 524px) {
    .userToolsbar.thread-options {
        width: 100%;
    }

    .userToolsbar.thread-options > a {
        padding: 7px 16px !important;
        margin: 0 1.5px;
    }

    .userToolsbar.forum-pager {
        width: 100%;
        float: none;
        clear: both;
        text-align: center;
    }

    .userToolsbar.forum-pager .pager-wrap {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: 4px;
        line-height: initial;
    }

    .userToolsbar.forum-pager a.pager {
        display: inline-block;
        min-width: 19px;
        padding: 8px;
        font-size: 14px;
        line-height: initial;
    }

    .userToolsbar.forum-pager a.pager-prev,
    .userToolsbar.forum-pager a.pager-next,
    .userToolsbar.forum-pager a.pager-first,
    .userToolsbar.forum-pager a.pager-last {
        display: inline-block;
        padding: 8px;
        line-height: initial;
    }

    .userToolsbar.forum-pager a.pager-prev, .userToolsbar.forum-pager a.pager-next {
        margin: 0;
    }
}